%define upstream_name    Pod-Readme
%define upstream_version v1.2.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Convert Module POD to a README file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.300.0
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
#BuildRequires: perl(Test::Kit)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module is a subclass of L<Pod::PlainText> which provides additional
POD markup for generating F<README> files.

Why should one bother with this? One can simply use

  pod2text Module.pm > README

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.3-4.mga10
+ Revision: 2208845
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.2.3-3.mga9
+ Revision: 1819300
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1520013
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Nov 01 2018 tv <tv> 1.2.3-1.mga7
+ Revision: 1327270
- restore all BRs removed by magpie
- update to v1.2.3

* Wed Oct 31 2018 tv <tv> 1.2.1-1.mga7
+ Revision: 1326923
- restore all BRs removed by magpie
- BR perl(Test::Deep) again
- update to v1.2.1

* Tue Oct 30 2018 tv <tv> 1.2.0-1.mga7
+ Revision: 1326667
- update to v1.2.0

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-6.mga7
+ Revision: 1285745
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.1.2-5.mga7
+ Revision: 1166274
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.1.2-4.mga7
+ Revision: 1160663
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.1.2-3.mga6
+ Revision: 1032326
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.1.2-2.mga6
+ Revision: 966788
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.1.2-1.mga6
+ Revision: 846859
- update to v1.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 748443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686019
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 514226
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 371986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28731
- mageia rebuild
- imported package perl-Pod-Readme

